Subject: Re: bug#56437: Reduce closure size of gsettings-desktop-schemas

From: 宋文武 <[email-masked]>
Date: Fri, 05 Aug 2022 16:01:13 +0800

Maxime Devos <[email-masked]> writes:

> On 07-07-2022 16:50, Pierre Neidhardt wrote:
>
>> Hi,
>>
>> Gsettings-desktop-schemas is required by WebKitGTK to load HTTPS pages.
>> But it also depends on gnome-backgrounds which weights some 40 MiB.
>>
>> For sure this does not help the closure size...
>>
>> I suggest we create a separate output, or maybe a
>> gsettings-desktop-schemas-minimal which does not include the reference
>> to the backgrounds.
>>
>> Thoughts?
>
> There are only two schemes that contain a reference, so maybe those
> can be put in a separate output:
> [...]
> As such, I'd prefer gong for a separate output. It would need to be
> checked that this doesn't cause problems from GNOME users though.

I think we can use some gsettings overrides in the gnome package, there
is no need for gsettings-desktop-schemas hardcode the background
setting itself.